program TestUtil

  use fileset
  use debugset
  use gridset
  use timeset
  use dataset

  character(80) :: cfgfile

  !----------------------------------------------------------------------
  ! 変数参照型モジュールを初期化
  !----------------------------------------------------------------------
  !NAMELIST ファイルの取得
  call getarg( 1, cfgfile )
  write(*,*) "Input NAMELIST file: ", cfgfile
  
  !I/O ファイル名の初期化
  !  NAMELIST ファイル名を指定し, deepconv/arare の
  !  出力ファイル名を NAMELIST から得る
  call fileset_init(cfgfile)
  
  !デバグ設定の初期化
  !  NAMELIST から情報を得て, デバッグ出力スイッチの切替えを行う.  
  call debugset_init(cfgfile)
  
  !時刻に関する設定の初期化
  !  NAMELIST から必要な情報を読み取り, 時間関連の変数の設定を行う. 
  call timeset_init(cfgfile)

  !格子点情報の初期化
  !  NAMELIST から情報を得て, 格子点を計算する
  call gridset_init(cfgfile)
  

  !----------------------------------------------------------------------
  ! ユーティリティを初期化
  !----------------------------------------------------------------------
  !減衰率を決める
  call Dumping_init()
  
  
  


end program TestUtil
